Home | Table of Contents | Mandatory Properties | CloverETL 4.6.1
--- | --- | ---
Prev | Cluster Configuration | Next

## Mandatory Properties

Besides mandatory cluster properties, you need to set other necessary properties which are not specifically related to the cluster environment. Database connection must be also configured, however besides direct connection it's alternatively possible to configure proxing using another cluster node/nodes. See property cluster.datasource.type for details.

##### Mandatory properties - these properties must be properly set on each node of the cluster

cluster.enabled

  Switch whether the server shall start in the standalone or cluster node mode. The property isn't set at all (empty value) by default, which means, that the mode is chosen according to the loaded license. It's strongly recommended to set the property to "true" if also the other cluster properties are configured. Thus the cluster node will be initialized regardless the license.

  type: boolean

cluster.node.id

  Each cluster node must have unique ID.

  type: String

  default: node01

cluster.jgroups.bind_address

  IP address of ethernet interface, which is used for communication with another cluster nodes. Necessary for inter-node messaging.

  type: String, IP address

  default: 127.0.0.1

cluster.jgroups.start_port

  Port where jGroups server listens for inter-node messages.

  type: int, port

  default: 7800

cluster.http.url

  URL of the CloverETL cluster node. It must be HTTP/HTTPS URL to the root of a web application, thus typically it would be "http://[hostname]:[port]/clover". Primarily it's used for synchronous inter-node communication from other cluster nodes. It's recommended to use a fully qualified hostname or IP address, so it's accessible from client browser or CloverETL Designer.

  type: String, URL

  default: http://localhost:8080/clover

Following property must be set only when the node uses "remote" DB datasource (See property cluster.datasource.type for details). When the node doesn't have the direct DB connection, it can't interchange some config data with other nodes, so it's necessary to configure them explicitly.

##### Mandatory property for remote DB datasource access

cluster.jgroups.tcpping.initial_hosts

  List of IP addresses (with ports) where we expect running and listening nodes. It is related to another nodes "bind_address" and "start_port" properties. I.e. like this: bind_address1[start_port1],bind_address2[start_port2],... It is not necessary to list all nodes of the cluster, but at least one of listed host:port must be running. Necessary for inter-node messaging.

  type: String, in format: "IPaddress1[port1],IPaddress2[port2]"

  default: 127.0.0.1[7800]

Prev | Up | Next
Cluster Configuration | Home | Table of Contents | Optional Properties